org.apache.ignite.internal.processors.cache

## Interface CacheConfigurationSplitter

All Known Implementing Classes:
  CacheConfigurationSplitterImpl, CacheConfigurationSplitterOldFormat

    public interface CacheConfigurationSplitter

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheConfiguration ccfg)`
`default T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheGroupDescriptor desc)`
`default T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(DynamicCacheDescriptor desc)`

### Method Detail

#### split

    default T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheGroupDescriptor desc)

Parameters:
  `desc` - Description.

#### split

    default T2<CacheConfiguration,CacheConfigurationEnrichment> split(DynamicCacheDescriptor desc)

Parameters:
  `desc` - Description.

#### split

    T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020